> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List locations

> Returns storage locations where you can create new storages. Only locations currently accepting new storage creation are returned.



## OpenAPI

````yaml /api-reference/services_docs_mintlify/object_storage_api.yaml get /storage/v4/locations
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Object Storage API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 27c1b8c49488
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Notifications
  - name: S3-Compatible Storage
  - name: SFTP Storage
  - name: SSHKeys
  - name: Storage
  - name: Storage Locations
  - name: Storage Statistics
paths:
  /storage/v4/locations:
    get:
      tags:
        - Storage Locations
      summary: List locations
      description: >-
        Returns storage locations where you can create new storages. Only
        locations currently accepting new storage creation are returned.
      operationId: listLocationsV4
      parameters:
        - name: offset
          in: query
          description: Number of records to skip before beginning to return results
          schema:
            minimum: 0
            type: integer
            format: uint64
        - name: limit
          in: query
          description: Max number of records in response
          schema:
            maximum: 1000
            minimum: 1
            type: integer
            format: uint64
            default: 10
        - name: order_by
          in: query
          schema:
            type: string
            default: created_at.desc
      responses:
        '200':
          description: LocationsListEndpointResV4
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LocationsListEndpointResV4'
        '400':
          description: ErrResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrResponse'
        '401':
          description: ErrResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrResponse'
        '403':
          description: ErrResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrResponse'
components:
  schemas:
    LocationsListEndpointResV4:
      title: >-
        LocationsListEndpointResV4 Available locations accepting new storage
        creation. Use these when choosing where to provision a new storage.
      required:
        - count
        - results
      type: object
      properties:
        count:
          type: integer
          description: Total number of locations matching the filter
          format: int64
          example: 5
        results:
          type: array
          description: List of available locations
          items:
            $ref: '#/components/schemas/LocationV4'
    ErrResponse:
      type: object
      properties:
        error:
          type: string
      description: ErrResponse is an error response
    LocationV4:
      title: >-
        LocationV4 Data center location where new storages can be created. Use
        name to create, address to connect.
      required:
        - address
        - name
        - technical_name
        - title
        - type
      type: object
      properties:
        address:
          type: string
          description: Full hostname/address for accessing the storage endpoint.
          example: luxembourg-2.cloud.storage.com
        name:
          type: string
          description: Human-readable display name for the location.
          example: luxembourg-2
        technical_name:
          type: string
          description: Internal technical identifier for the location
          example: s-region-1
        title:
          type: string
          description: Display title for the location (English). Null if no title is set.
          example: Luxembourg
        type:
          type: string
          description: Storage type supported by this location
          example: s3_compatible
          enum:
            - s3_compatible
            - sftp
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````